﻿/*
 * Copyright (c) 2019 ETH Zürich, Educational Development and Technology (LET)
 * 
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

namespace SafeExamBrowser.Settings.UserInterface
{
	/// <summary>
	/// Defines all possible look &amp; feel options for the application.
	/// </summary>
	public enum UserInterfaceMode
	{
		/// <summary>
		/// In this mode, the user interface is optimized for desktop computers with keyboard and mouse.
		/// </summary>
		Desktop,

		/// <summary>
		/// In this mode, the user interface is optimized for mobile computers with touch capability.
		/// </summary>
		Mobile
	}
}
